/**
 * Module Dependencies
 */

var traverse = require('babel-traverse').default

/**
 * Export `dependencies`
 */

module.exports = dependencies

/**
 * Get the dependencies
 *
 * @param {Object} ast
 * @return {Array} deps
 */

function dependencies (ast) {
  var deps = []

  traverse(ast, {
    CallExpression (path) {
      if (path.node.callee.name !== 'require') return
      var arg = path.node.arguments[0]
      deps.push(arg.value)
    }
  })

  return deps
}
